/* ../../../unxlngppc.pro/misc/gconfbe_description.cxx */
/* Implementation of component_getDescriptionFunc() */

#include <sal/types.h>

#ifdef __cplusplus
extern "C" {
#endif

const sal_Char * SAL_CALL
component_getDescriptionFunc()
{
    return (const sal_Char*) 
    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
    "<!DOCTYPE module-description PUBLIC \"-//StarOffice//DTD ComponentDescription 1.0//EN\" \"module-description.dtd\">\n"
    "<module-description xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n"
    "    <module-name>gconfbe</module-name>\n"
    "    <component-description>\n"
    "        <author> Oliver Braun </author>\n"
    "        <name>com.sun.star.comp.configuration.backend.GconfBackend</name>\n"
    "        <description> The  </description>\n"
    "        <loader-name>com.sun.star.loader.SharedLibrary</loader-name>\n"
    "        <language>c++</language>\n"
    "        <status value=\"beta\"/>        \n"
    "        <supported-service>com.sun.star.comp.configuration.backend.GconfBackend</supported-service>		\n"
    "        <supported-service>com.sun.star.comp.configuration.backend.PlatformBackend</supported-service>		\n"
    "        <service-dependency>...</service-dependency>\n"
    "        <type>com.sun.star.configuration.backend.XBackendChangesListener</type>\n"
    "        <type>com.sun.star.configuration.backend.XBackendChangesNotifier</type>\n"
    "        <type>com.sun.star.configuration.backend.XLayerHandler</type>\n"
    "        <type>com.sun.star.configuration.backend.XSingleLayerStratum</type>\n"
    "        <type>com.sun.star.lang.XMultiComponentFactory</type>\n"
    "        <type>com.sun.star.lang.XServiceInfo</type>\n"
    "        <type>com.sun.star.lang.XSingleComponentFactory</type>\n"
    "        <type>com.sun.star.lang.XTypeProvider</type>\n"
    "        <type>com.sun.star.uno.TypeClass</type>\n"
    "        <type>com.sun.star.uno.XAggregation</type>\n"
    "        <type>com.sun.star.uno.XComponentContext</type>\n"
    "        <type>com.sun.star.uno.XCurrentContext</type>\n"
    "        <type>com.sun.star.uno.XWeak</type>\n"
    "        <type>com.sun.star.registry.XRegistryKey</type>\n"
    "    </component-description>\n"
    "    <project-build-dependency>cppuhelper</project-build-dependency>\n"
    "    <project-build-dependency>cppu</project-build-dependency>\n"
    "    <project-build-dependency>sal</project-build-dependency>\n"
    "    <runtime-module-dependency>cppuhelper3$(COM)</runtime-module-dependency>\n"
    "    <runtime-module-dependency>cppu3</runtime-module-dependency>\n"
    "    <runtime-module-dependency>sal3</runtime-module-dependency>\n"
    "</module-description>\n"
    "";
}

#ifdef __cplusplus
} /* end of extern "C" */
#endif
