/* ../../../unxlngppc.pro/misc/ucpgvfs1.uno_description.cxx */
/* Implementation of component_getDescriptionFunc() */

#include <sal/types.h>

#ifdef __cplusplus
extern "C" {
#endif

const sal_Char * SAL_CALL
component_getDescriptionFunc()
{
    return (const sal_Char*) 
    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
    "<!DOCTYPE module-description PUBLIC \"-//StarOffice//DTD ComponentDescription 1.0//EN\" \"module-description.dtd\">\n"
    "<module-description xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n"
    "    <module-name> XXX </module-name>\n"
    "    <component-description>\n"
    "        <author> automatic generated </author>\n"
    "        <name> XXX </name>\n"
    "        <description> no description yet. </description>\n"
    "        <loader-name> com.sun.star.loader.SharedLibrary	</loader-name>\n"
    "        <language> c++	</language>\n"
    "        <status value=\"under_construction\"/>\n"
    "        <supported-service>	XXX </supported-service>\n"
    "	</component-description>\n"
    "</module-description>\n"
    "\n"
    "";
}

#ifdef __cplusplus
} /* end of extern "C" */
#endif
